## todoman 3.2.4

=== requirements.txt ===
atomicwrites
click>=6.0
configobj
humanize
icalendar
parsedatetime
python-dateutil
pyxdg
tabulate
urwid

=== debian/changelog ===
todoman (3.2.4-3) unstable; urgency=medium

  * add copyright information of todoman/widgets.py

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 30 Nov 2017 10:35:45 +0100

todoman (3.2.4-2) unstable; urgency=medium

  * use todoman binary instead of todo

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 23 Nov 2017 00:58:18 +0100

todoman (3.2.4-1) unstable; urgency=medium

  * Initial release. (Closes: #855887)
  * remove duplicate license text from doc
  * avoid lintian complaining about license.rst file
  * avoid embedding jquery.js & underscore.js from sphinx
  * avoid generating github banner in docs (contains privacy-breach-logo, see
    #869693)
  * avoid generating travis button in docs (fixes privacy-breach-generic
    lintian warning)
  * add patch to tell the user to look in /usr/share/doc/todoman/ for
    documentation (instead of https://todoman.rtfd.org/en/latest/)
  * install bash autocompletion file
  * avoid removing confspec.ini file (needed for runtime)

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 22 Nov 2017 00:58:18 +0100

=== debian/control ===
Source: todoman
Maintainer: Félix Sipma <felix+debian@gueux.org>
Priority: optional
Section: utils
Build-Depends: debhelper (>= 10),
 dh-python,
 bash-completion,
 python3-all,
 python3-atomicwrites,
 python3-click,
 python3-configobj,
 python3-dateutil,
 python3-flake8,
 python3-freezegun,
 python3-humanize,
 python3-hypothesis,
 python3-icalendar,
 python3-parsedatetime,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-autorun,
 python3-tabulate,
 python3-urwid,
 python3-xdg
Standards-Version: 4.1.1
Homepage: https://github.com/pimutils/todoman
Vcs-Git: https://git.gueux.org/todoman.git
Vcs-Browser: https://git.gueux.org/?p=todoman.git;a=summary

Package: todoman
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: vdirsyncer, libjs-jquery, libjs-underscore
Description: Simple CalDAV-based todo manager
 Todoman is a simple, standards-based, cli todo (aka: task) manager. Todos are
 stored into icalendar files, which means you can sync them via CalDAV using,
 for example, vdirsyncer.

=== debian/rules ===
#!/usr/bin/make -f

# manually copy todoman/confspec.ini to build_dir/todoman/ (needed for tests)
export PYBUILD_BEFORE_BUILD=mkdir -p {build_dir}/todoman/ && cp {dir}/todoman/confspec.ini {build_dir}/todoman/
# manually build doc: TODO: python3-sphinx-autorun needed
export PYBUILD_AFTER_BUILD=python3 setup.py build_sphinx -b html && \
	python3 setup.py build_sphinx -b text && \
	python3 setup.py build_sphinx -b man
# manually remove files needed for tests
export PYBUILD_AFTER_TEST=rm {build_dir}/.coverage

# exports needed to make the tests succeed (python3-click)
export TZ=UTC
export LANG=C.UTF-8
export LC_ALL=C.UTF-8

# disable dh_auto_clean as "setup.py clean" tries to download packages from the
# internet
override_dh_auto_clean:

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

## todoman 3.3.0

=== debian/changelog ===
todoman (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * add python3-click-log as dependency
  * rebase patches

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 24 Jan 2018 12:02:59 +0100

todoman (3.2.4-4) unstable; urgency=medium

  * prevent the installation of the Hypothesis example file to make the build
    reproducible. Thanks, Chris Lamb (Closes: #886100)
  * bump Standards-Version to 4.1.3 (no change required)

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 05 Jan 2018 15:06:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  python3-all,
  python3-atomicwrites,
  python3-click,
+ python3-click-log,
  python3-configobj,
  python3-dateutil,
  python3-flake8,
@@ -26,7 +27,7 @@
  python3-tabulate,
  python3-urwid,
  python3-xdg
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/pimutils/todoman
 Vcs-Git: https://git.gueux.org/todoman.git
 Vcs-Browser: https://git.gueux.org/?p=todoman.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 	python3 setup.py build_sphinx -b man
 # manually remove files needed for tests
 export PYBUILD_AFTER_TEST=rm {build_dir}/.coverage
+# Don't install Hypothesis example database into binary package.
+export HYPOTHESIS_DATABASE_FILE = $(CURDIR)/debian/hypothesis
 
 # exports needed to make the tests succeed (python3-click)
 export TZ=UTC
@@ -17,6 +19,7 @@
 # disable dh_auto_clean as "setup.py clean" tries to download packages from the
 # internet
 override_dh_auto_clean:
+	rm -f $(CURDIR)/debian/hypothesis
 
 %:
 	dh $@ --with python3,bash-completion --buildsystem=pybuild

## todoman 3.4.0

=== debian/changelog ===
todoman (3.4.0-2) unstable; urgency=medium

  * add python3-pkg-resources dependency (Closes: #904768)
  * bump Standards-Version to 4.2.0 (no change required)

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 17 Aug 2018 09:03:42 +0200

todoman (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * update Standards-Version to 4.1.4 (no change required)
  * add patch to rename todo to todoman in zsh completion file
  * install zsh completion file

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 09 Jun 2018 08:59:31 +0200

todoman (3.3.0-3) unstable; urgency=medium

  * manually add todoman binary to PATH to build the doc (Closes: #892381)
  * add patch to use python3 in binary

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 31 Mar 2018 18:50:58 +0200

todoman (3.3.0-2) unstable; urgency=medium

  * export LC_* & LANG variables before building doc (attempt to make todoman
    reproducible)
  * bump compat to 11
  * move packaging repo to salsa

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 07 Mar 2018 11:39:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Maintainer: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: utils
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
  dh-python,
+ dh-exec,
  bash-completion,
  python3-all,
+ python3-pkg-resources,
  python3-atomicwrites,
  python3-click,
  python3-click-log,
@@ -27,10 +29,10 @@
  python3-tabulate,
  python3-urwid,
  python3-xdg
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/pimutils/todoman
-Vcs-Git: https://git.gueux.org/todoman.git
-Vcs-Browser: https://git.gueux.org/?p=todoman.git;a=summary
+Vcs-Git: https://salsa.debian.org/felix-guest/todoman.git
+Vcs-Browser: https://salsa.debian.org/felix-guest/todoman
 
 Package: todoman
 Architecture: any

## todoman 3.4.1

=== debian/changelog ===
todoman (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1 (Closes: #908686)
  * bump Standards-Version to 4.2.1 (no change required)
  * update patches

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 29 Sep 2018 12:32:47 +0200

## todoman 3.5.0

=== debian/changelog ===
todoman (3.5.0-2) unstable; urgency=medium

  * set Architecture=all instead of any. Thanks, Elrond (Closes: #930606)
  * bump Standards-Version to 4.4.0 (no change required)
  * use debhelper-compat instead of compat file
  * renumber patches
  * rebase patches

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 08 Aug 2019 17:37:12 +0200

todoman (3.5.0-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add basic debian/upstrema/metadata.

  [ Félix Sipma ]
  * New upstream version 3.5.0 (Closes: #912098)

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 19 Nov 2018 19:50:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: utils
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
  dh-exec,
  bash-completion,
@@ -29,13 +29,13 @@
  python3-tabulate,
  python3-urwid,
  python3-xdg
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/pimutils/todoman
 Vcs-Git: https://salsa.debian.org/felix-guest/todoman.git
 Vcs-Browser: https://salsa.debian.org/felix-guest/todoman
 
 Package: todoman
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: vdirsyncer, libjs-jquery, libjs-underscore
 Description: Simple CalDAV-based todo manager

=== debian/rules ===
#!/usr/bin/make -f

# exports needed to make the tests succeed (python3-click)
# and to build reproducibly
export TZ=UTC
export LANG=C.UTF-8
export LC_ALL=C.UTF-8

# manually copy todoman/confspec.ini to build_dir/todoman/ (needed for tests)
export PYBUILD_BEFORE_BUILD=mkdir -p {build_dir}/todoman/ && cp {dir}/todoman/confspec.ini {build_dir}/todoman/
# manually build doc:
# todoman binary is manually added to PATH, as it is needed to build the doc
export PYBUILD_AFTER_BUILD=mkdir -p {build_dir}/todoman/bin && cp {dir}/bin/todo {build_dir}/todoman/bin/todoman && PATH=$(PATH):{build_dir}/todoman/bin/ \
	python3 setup.py build_sphinx -b html && \
	python3 setup.py build_sphinx -b text && \
	python3 setup.py build_sphinx -b man
# manually remove files needed for tests
export PYBUILD_AFTER_TEST=rm {build_dir}/.coverage
# Don't install Hypothesis example database into binary package.
export HYPOTHESIS_DATABASE_FILE = $(CURDIR)/debian/hypothesis

# disable dh_auto_clean as "setup.py clean" tries to download packages from the
# internet
override_dh_auto_clean:
	rm -f $(CURDIR)/debian/hypothesis

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

## todoman 3.7.0

=== debian/changelog ===
todoman (3.7.0-3) unstable; urgency=medium

  * fix PAPT address

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 23 Apr 2020 19:04:50 +0200

todoman (3.7.0-2) unstable; urgency=medium

  * move the package to Debian Python Team
  * bump Standards-Version to 4.5.0 (no change required)
  * make use of dh_sphinxdoc

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 23 Apr 2020 18:39:20 +0200

todoman (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * avoid setting HYPOTHESIS_DATABASE_FILE in rules (not supported anymore)

 -- Félix Sipma <felix+debian@gueux.org>  Tue, 24 Mar 2020 13:30:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: todoman
-Maintainer: Félix Sipma <felix+debian@gueux.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: utils
 Build-Depends: debhelper-compat (= 12),
  dh-python,
  dh-exec,
+ sphinx-common,
  bash-completion,
  python3-all,
  python3-pkg-resources,
@@ -29,15 +31,15 @@
  python3-tabulate,
  python3-urwid,
  python3-xdg
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/pimutils/todoman
-Vcs-Git: https://salsa.debian.org/felix-guest/todoman.git
-Vcs-Browser: https://salsa.debian.org/felix-guest/todoman
+Vcs-Git: https://salsa.debian.org/python-team/applications/todoman.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/todoman
 
 Package: todoman
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: vdirsyncer, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
+Suggests: vdirsyncer
 Description: Simple CalDAV-based todo manager
  Todoman is a simple, standards-based, cli todo (aka: task) manager. Todos are
  stored into icalendar files, which means you can sync them via CalDAV using,

## todoman 3.8.0

=== debian/changelog ===
todoman (3.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Félix Sipma <felix+debian@gueux.org>  Sun, 22 Nov 2020 20:04:41 +0100

todoman (3.8.0-1) unstable; urgency=medium

  * New upstream version 3.8.0
  * update patches
  * build depend on locales-all to fix FTBFS
  * add patch to deactivate tests supported by click>=7.1 only

 -- Félix Sipma <felix+debian@gueux.org>  Thu, 02 Jul 2020 12:15:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: todoman
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: utils
@@ -8,6 +8,7 @@
  dh-exec,
  sphinx-common,
  bash-completion,
+ locales-all,
  python3-all,
  python3-pkg-resources,
  python3-atomicwrites,
@@ -33,8 +34,8 @@
  python3-xdg
 Standards-Version: 4.5.0
 Homepage: https://github.com/pimutils/todoman
-Vcs-Git: https://salsa.debian.org/python-team/applications/todoman.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/todoman
+Vcs-Git: https://salsa.debian.org/python-team/packages/todoman.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/todoman
 
 Package: todoman
 Architecture: all

## todoman 3.9.0

=== debian/changelog ===
todoman (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0
  * add python3-sphinx-click to B-D
  * add a patch to use todoman binary in manpage
  * update patches
    - remove 0001-remove-duplicate-license-file.patch (not needed anymore)
    - remove 0010-deactivate-tests-supported-by-click-7.1-only.patch (not
      needed anymore)
    - rebase 0002-avoid-generating-github-banner-in-docs.patch,
      0003-avoid-generating-travis-button-in-docs.patch,
      0005-use-todoman-binary-in-doc.patch,
      0007-use-todoman-console-script.patch

 -- Félix Sipma <felix+debian@gueux.org>  Sun, 20 Dec 2020 19:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
+ python3-sphinx-click,
  python3-sphinx-autorun,
  python3-tabulate,
  python3-urwid,

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,6 @@
 	python3 setup.py build_sphinx -b man
 # manually remove files needed for tests
 export PYBUILD_AFTER_TEST=rm {build_dir}/.coverage
-# Don't install Hypothesis example database into binary package.
-export HYPOTHESIS_DATABASE_FILE = $(CURDIR)/debian/hypothesis
 
 # disable dh_auto_clean as "setup.py clean" tries to download packages from the
 # internet
@@ -25,4 +23,4 @@
 	rm -f $(CURDIR)/debian/hypothesis
 
 %:
-	dh $@ --with python3,bash-completion --buildsystem=pybuild
+	dh $@ --with python3,bash-completion,sphinxdoc --buildsystem=pybuild

## todoman 4.1.0

=== debian/changelog ===
todoman (4.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Félix Sipma ]
  * New upstream version 4.1.0 (Closes: #1001046)
  * remove old patches (integrated upstream)
    github banner & travis button are no longer generated in the doc
  * rebase patches
  * add sphinx-rtd-theme-common & python3-sphinx-rtd-theme to B-D
  * update my email address
  * confspec.ini no longer needed for tests
  * upstream changed their configuration format (see config.py.sample in docs)
  * add todoman.NEWS

 -- Félix Sipma <felix@debian.org>  Mon, 10 Jan 2022 00:35:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: todoman
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Félix Sipma <felix+debian@gueux.org>
+Uploaders: Félix Sipma <felix@debian.org>
 Priority: optional
 Section: utils
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  dh-exec,
  sphinx-common,
+ sphinx-rtd-theme-common,
  bash-completion,
  locales-all,
  python3-all,
@@ -30,10 +31,11 @@
  python3-sphinx,
  python3-sphinx-click,
  python3-sphinx-autorun,
+ python3-sphinx-rtd-theme,
  python3-tabulate,
  python3-urwid,
  python3-xdg
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/pimutils/todoman
 Vcs-Git: https://salsa.debian.org/python-team/packages/todoman.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/todoman

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 export LANG=C.UTF-8
 export LC_ALL=C.UTF-8
 
-# manually copy todoman/confspec.ini to build_dir/todoman/ (needed for tests)
-export PYBUILD_BEFORE_BUILD=mkdir -p {build_dir}/todoman/ && cp {dir}/todoman/confspec.ini {build_dir}/todoman/
 # manually build doc:
 # todoman binary is manually added to PATH, as it is needed to build the doc
 export PYBUILD_AFTER_BUILD=mkdir -p {build_dir}/todoman/bin && cp {dir}/bin/todo {build_dir}/todoman/bin/todoman && PATH=$(PATH):{build_dir}/todoman/bin/ \

## todoman 4.2.1

=== debian/changelog ===
todoman (4.2.1-2) unstable; urgency=medium

  * add myself as uploader
  * tighten build-dependency on python3-icalendar,
    and drop patch apparently specific to python3-icalendar 4
  * add source helper tool copyright-check
  * update copyright info: update coverage
  * update watch file:
    + use file format 4
    + use substitution strings
    + add usage notes
  * modernize build;
    build-depend on dh-sequence-bash-completion
    dh-sequence-python3 dh-sequence-sphinxdoc

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Jul 2023 21:52:18 +0200

todoman (4.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ Félix Sipma ]
  * New upstream version 4.2.1
  * rebase patches
  * set maximum version of python3-icalendar to 4.x.x (test fails otherwise)
  * add patch for python3-icalendar 4.x.x

 -- Félix Sipma <felix@debian.org>  Sat, 17 Jun 2023 14:50:42 +0200

=== debian/control ===
Source: todoman
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Félix Sipma <felix@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Priority: optional
Section: utils
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 dh-sequence-bash-completion,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 locales-all,
 python3-all,
 python3-atomicwrites,
 python3-click,
 python3-click-log,
 python3-configobj,
 python3-dateutil,
 python3-flake8,
 python3-freezegun,
 python3-humanize,
 python3-hypothesis,
 python3-icalendar (>= 5),
 python3-parsedatetime,
 python3-pkg-resources,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-autorun,
 python3-sphinx-click,
 python3-sphinx-rtd-theme,
 python3-tabulate,
 python3-urwid,
 python3-xdg,
 sphinx-common,
 sphinx-rtd-theme-common,
Standards-Version: 4.6.0
Homepage: https://github.com/pimutils/todoman
Vcs-Git: https://salsa.debian.org/python-team/packages/todoman.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/todoman

Package: todoman
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 vdirsyncer,
Description: Simple CalDAV-based todo manager
 Todoman is a simple, standards-based, cli todo (aka: task) manager. Todos are
 stored into icalendar files, which means you can sync them via CalDAV using,
 for example, vdirsyncer.

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 	rm -f $(CURDIR)/debian/hypothesis
 
 %:
-	dh $@ --with python3,bash-completion,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## todoman 4.3.0

=== debian/changelog ===
todoman (4.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update, unfuzz and refresh patches
    with shortening quilt options -p ab --no-timestamps --no-index;
    update DEP-3 headers
  * update build routines;
    build-depend on pybuild-plugin-pyproject
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jul 2023 20:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  locales-all,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-atomicwrites,
  python3-click,

## todoman 4.3.2

=== debian/changelog ===
todoman (4.3.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Sep 2023 19:34:17 +0200

## todoman 4.4.0

=== debian/changelog ===
todoman (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * rebase patches

 -- Félix Sipma <felix@debian.org>  Wed, 15 Nov 2023 16:59:07 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  python3-xdg,
  sphinx-common,
  sphinx-rtd-theme-common,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/pimutils/todoman
 Vcs-Git: https://salsa.debian.org/python-team/packages/todoman.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/todoman

## todoman 4.5.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Todoman.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Todoman.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Todoman"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Todoman"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
todoman (4.5.0-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-pytz for tests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jul 2025 21:41:18 +0100

todoman (4.5.0-2) unstable; urgency=medium

  * Team upload.
  * Remove build-dependcy on python3-pkg-resources (Closes: #1083800)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 12:08:29 +0100

todoman (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * rebase patches
  * add tzdata-legacy to B-D (Closes: #1086387)
  * add .pybuild/ to clean (Closes: #1047823)

 -- Félix Sipma <felix@debian.org>  Tue, 03 Dec 2024 08:39:10 +0100

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,10 @@
  python3-hypothesis,
  python3-icalendar (>= 5),
  python3-parsedatetime,
- python3-pkg-resources,
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-runner,
+ python3-pytz <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
@@ -42,7 +42,8 @@
  python3-xdg,
  sphinx-common,
  sphinx-rtd-theme-common,
-Standards-Version: 4.6.2
+ tzdata-legacy,
+Standards-Version: 4.7.0
 Homepage: https://github.com/pimutils/todoman
 Vcs-Git: https://salsa.debian.org/python-team/packages/todoman.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/todoman

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,7 @@
 
 # manually build doc:
 # todoman binary is manually added to PATH, as it is needed to build the doc
-export PYBUILD_AFTER_BUILD=mkdir -p {build_dir}/todoman/bin && cp {dir}/bin/todo {build_dir}/todoman/bin/todoman && PATH=$(PATH):{build_dir}/todoman/bin/ \
-	python3 setup.py build_sphinx -b html && \
-	python3 setup.py build_sphinx -b text && \
-	python3 setup.py build_sphinx -b man
+export PYBUILD_AFTER_BUILD=mkdir -p {build_dir}/todoman/bin && cp {dir}/bin/todo {build_dir}/todoman/bin/todoman && make -C docs html text man
 # manually remove files needed for tests
 export PYBUILD_AFTER_TEST=rm {build_dir}/.coverage

## todoman 4.6.0

=== debian/changelog ===
todoman (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * Remove python3-sphinx-autorun from B-D
  * add "Forwarded: not-needed" to various patches
  * Upgrade Standards-Version to 4.7.3 (removed Priority field)
  * Update watch file to version 5
  * ignore static files (embedded js libs) for text docs
  * todoman binary is not needed anymore to build the doc

 -- Félix Sipma <felix@debian.org>  Tue, 13 Jan 2026 16:09:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Félix Sipma <felix@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
-Priority: optional
 Section: utils
 Build-Depends:
  bash-completion,
@@ -34,7 +33,6 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
- python3-sphinx-autorun,
  python3-sphinx-click,
  python3-sphinx-rtd-theme,
  python3-tabulate,
@@ -43,7 +41,7 @@
  sphinx-common,
  sphinx-rtd-theme-common,
  tzdata-legacy,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/pimutils/todoman
 Vcs-Git: https://salsa.debian.org/python-team/packages/todoman.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/todoman

=== debian/rules ===
#!/usr/bin/make -f

# exports needed to make the tests succeed (python3-click)
# and to build reproducibly
export TZ=UTC
export LANG=C.UTF-8
export LC_ALL=C.UTF-8

# manually build doc:
export PYBUILD_AFTER_BUILD=make -C docs html text man
# manually remove files needed for tests
export PYBUILD_AFTER_TEST=rm {build_dir}/.coverage

# disable dh_auto_clean as "setup.py clean" tries to download packages from the
# internet
override_dh_auto_clean:
	rm -f $(CURDIR)/debian/hypothesis

# ignore static files (embedded js libs) for text docs
override_dh_installdocs:
	dh_installdocs --exclude=text/_static/

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Dist: https://github.com/pimutils/todoman
